MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::DistSCMatrixListSubblockIter Class Reference
Inheritance diagram for sc::DistSCMatrixListSubblockIter:

List of all members.

## Public Member Functions

| DistSCMatrixListSubblockIter (Access, const Ref< SCMatrixBlockList > &locallist, const Ref< MessageGrp > &grp)
void | begin ()
| Start at the beginning.
void | next ()
| Proceed to the next block.

## Protected Member Functions

void | maybe_advance_list ()
void | advance_list ()

## Protected Attributes

Ref< MessageGrp > | grp_
StateSend | out_
StateRecv | in_
int | step_
Ref< SCMatrixBlockList > | locallist_

The documentation for this class was generated from the following file:

- dist.h